leafnode (1.11.11-4) unstable; urgency=medium

  * Add Homepage: and Vcs-* headers (pointing to Salsa) to debian/control

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 28 Dec 2021 00:53:04 +0100

leafnode (1.11.11-3) unstable; urgency=medium

  * Fix FTCBFS, thanks Helmut! (Closes: #982463)
    - Pass --build/--host to ./configure
    - Honour DEB_BUILD_OPTIONS=nocheck

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 23 Feb 2021 22:51:04 +0100

leafnode (1.11.11-2) unstable; urgency=medium

  * Debhelper compat 12

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 15 Nov 2020 21:03:49 +0100

leafnode (1.11.11-1) unstable; urgency=medium

  * New upstream release
  * Update watch file, thanks Andreas Metzler (Closes: #850586)
  * Use Debian compat level 9

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 30 Dec 2017 22:37:04 +0100

leafnode (1.11.10-3) unstable; urgency=medium

  * Flip maintainer/uploader
  * Cleanups

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 16 Aug 2015 17:44:47 +0200

leafnode (1.11.10-2) unstable; urgency=medium

  * base-passwd 3.5.30 changed the shell of the "news" system user to
    nologin. Fix the daily cron job to use a shell, otherwise old
    articles are no longer expired. Thanks to Jan Braun for the
    report! (Closes: #759869)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 20 Mar 2015 14:45:52 +0100

leafnode (1.11.10-1) unstable; urgency=medium

  * New upstream release, patches getaddrinfo and whoami
    have been merged upstream 
  * Add myself as co-maintainer to help out a bit
  * Add Japanese debconf translatation, thanks "victory" (Closes: #718919)
  * Bump standards version
  * Don't install upstream installation instructions, spotted by Lintian

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 25 Jun 2014 19:18:15 +0200

leafnode (1.11.8-3) unstable; urgency=low

  * Avoid segfault in whoami() (closes: #667998).
  * Enable all hardened build flags.

 -- Robert Grimm <rob@robgri.de>  Mon, 16 Apr 2012 08:15:46 +0200

leafnode (1.11.8-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
  * Italian (Dario Santamaria).  Closes: #615879
  * Polish (Michał Kułach).  Closes: #665306

  [ Robert Grimm ]
  * Enabled hardened build flags.
  * postinst cleanup.
  * Standards version 3.9.3 (no changes).
  * Added two patches from upstream git.
     - Add IPv6 support to whoami().
     - Use AF_UNSPEC for getaddrinfo.

 -- Robert Grimm <rob@robgri.de>  Fri, 06 Apr 2012 15:56:26 +0200

leafnode (1.11.8-1) unstable; urgency=low

  * New upstream release.
     - Fix file descriptor leak in getbody_newno() (closes: #568128).
  * Added Danish Debconf translation, kindly provided by
    Joe Hansen <joedalton2@yahoo.dk> (closes: #581055).
  * Depend on netbase.  
  * Standards version 3.8.4 (no changes).
  * Switch to dpkg source 3.0 (quilt) format.

 -- Robert Grimm <rob@robgri.de>  Sun, 13 Jun 2010 20:41:10 +0200

leafnode (1.11.7.rel-2) unstable; urgency=low

  * Standards version 3.8.3 (no changes).
  * Mentioned in README.Debian that the need to use touch_newsgroups is
    considered a bug.
  * Removed tabstop in the last line of filters (closes: #424949).
  * New Maintainer (closes: #536023).

 -- Robert Grimm <rob@robgri.de>  Thu, 17 Dec 2009 09:40:57 +0100

leafnode (1.11.7.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 21 Apr 2009 21:38:26 +0100

leafnode (1.11.7.rc4-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 14 Apr 2009 19:41:16 +0100

leafnode (1.11.7.rc3-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 24 Mar 2009 20:15:33 +0000

leafnode (1.11.7.rc2-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.8.0 (no changes).

 -- Mark Brown <broonie@debian.org>  Sat, 21 Feb 2009 12:10:44 +0000

leafnode (1.11.7.rc1-10) unstable; urgency=low

  * Updated Spanish translation of the Debconf templates, kindly provided
    by Francisco Javier Cuadrado <fcocuadrado@gmail.com> (closes: #508730).

 -- Mark Brown <broonie@debian.org>  Sun, 14 Dec 2008 19:58:35 +0000

leafnode (1.11.7.rc1-9) unstable; urgency=low

  * Updated Swedish translation of the Debconf templates, kindly provided
    by Martin Ågren <martin.agren@gmail.com> (closes: #492750).

 -- Mark Brown <broonie@debian.org>  Mon, 28 Jul 2008 18:24:14 +0100

leafnode (1.11.7.rc1-8) unstable; urgency=low

  * Add regenerated versions of all the recently submitted Debconf template
    translations from Christian Perrier (closes: #466230).

 -- Mark Brown <broonie@debian.org>  Fri, 07 Mar 2008 19:02:00 +0000

leafnode (1.11.7.rc1-7) unstable; urgency=low

  * Include updated Russian translation of the Debconf templates, kindly
    provided by Yuri Kozlov <kozlov.y@gmail.com> (closes: #469327).

 -- Mark Brown <broonie@debian.org>  Tue, 04 Mar 2008 18:39:45 +0000

leafnode (1.11.7.rc1-6) unstable; urgency=low

  * Include updated French translation of the Debconf templates, kindly
    provided by Florent USSEIL <swiip81@free.fr> (closes: #468808).

 -- Mark Brown <broonie@debian.org>  Sun, 02 Mar 2008 11:27:29 +0000

leafnode (1.11.7.rc1-5) unstable; urgency=low

  * Include Finnish translation of the debconf templates, kindly provided by
    Esko Arajärvi <edu@iki.fi> (closes: #468210).

 -- Mark Brown <broonie@debian.org>  Sat, 01 Mar 2008 10:45:28 +0000

leafnode (1.11.7.rc1-4) unstable; urgency=low

  * Apply changes created by the Smith review project to Debconf templates
    and the control file (closes: #466230).
  * Include updated Catalan Debconf translation kindly provided by Piarres
    Beobide <pi+debian@beobide.net> (closes: #466358).
  * Include updated Czech Debconf translation kindly provided by Martin
    Šín <martin.sin@zshk.cz> (closes: #466383).
  * Include new Galician Debconf translation kindly provided by Jacobo 
    Tarrio <jtarrio@trasno.net> (closes: #466466).
  * Include updated Portuguese Debconf translation kindly provided by Américo
    Monteiro <a_monteiro@netcabo.pt> (closes: #466787).
  * Include updated German Debconf translation kindly provided by Jonas E.
    Huber <debian@hubjo.org> (closes: #467044).
  * Include updated Vietnamese Debconf translation kindly provided by Clytie
    Siddall <clytie@riverland.net.au> (closes: #467115).
  * Include updated Dutch Debconf translation kindly provided by Bart
    Cornelis <cobaco@skolelinux.no> (closes: #467416).

 -- Mark Brown <broonie@debian.org>  Mon, 25 Feb 2008 11:50:31 +0000

leafnode (1.11.7.rc1-3) unstable; urgency=low

  * Included updated Portugese Debconf translation, kindly provided by
    Américo Monteiro <a_monteiro@netcabo.pt> (closes: #464736).

 -- Mark Brown <broonie@debian.org>  Sun, 10 Feb 2008 11:25:14 +0000

leafnode (1.11.7.rc1-2) unstable; urgency=low

  * Include updated Vietnamese Debconf translation, kindly provided by Clytie
    Siddall <clytie@riverland.net.au> (closes: #463511).
  * Include updated German Debconf transltion, kindly provided by Jonas E.
    Huber <jonas@hubjo.org>.

 -- Mark Brown <broonie@debian.org>  Sat, 02 Feb 2008 13:31:22 +0000

leafnode (1.11.7.rc1-1) unstable; urgency=low

  * New upstream release.
  * Works around buggy upstream server Path handling (closes: #459980).
  * Add some more logcheck ignores (closes: #433720).
  * Updates to debconf templates.  More work is needed here so translators
    should probably hold off on updating.
  * Policy 3.7.3 (no changes).
  * Use debhelper compatibility level 6 (no changes).

 -- Mark Brown <broonie@debian.org>  Sat, 26 Jan 2008 11:12:00 +0000

leafnode (1.11.6-5) unstable; urgency=low

  * Add Portuguese translation of the Debconf templates, kindly provided by
    Américo Monteiro <a_monteiro@netcabo.pt> (closes: #436745).

 -- Mark Brown <broonie@debian.org>  Fri, 10 Aug 2007 10:04:32 +0100

leafnode (1.11.6-4) unstable; urgency=low

  * Depend on openbsd-inetd | inet-superserver instead of netbase.

 -- Mark Brown <broonie@debian.org>  Sun, 29 Jul 2007 10:24:02 +0100

leafnode (1.11.6-3) unstable; urgency=low

  * Add Spanish translation of the debconf templates, kindly provided by
    Rudy Godoy <rudy@stone-head.org> (closes: #423676).
  * Clean up old never triggered prompts for upgrades.

 -- Mark Brown <broonie@debian.org>  Sun, 13 May 2007 21:47:18 +0100

leafnode (1.11.6-2) unstable; urgency=low

  * Add Dutch translation of the debconf templates, kindly provided by Bart
    Cornelis <cobaco@skolelinux.no> (closes: #418407).

 -- Mark Brown <broonie@debian.org>  Thu, 12 Apr 2007 19:35:13 +0100

leafnode (1.11.6-1) unstable; urgency=low

  * New upstream release.
  * Only call debconf in postrm if it is installed (closes: 416916).

 -- Mark Brown <broonie@debian.org>  Sat, 31 Mar 2007 17:49:13 +0100

leafnode (1.11.5-5) unstable; urgency=low

  * Updated German debconf translation from Jonas E. Huber <jonas@hubjo.org>.

 -- Mark Brown <broonie@debian.org>  Thu, 11 Jan 2007 19:07:09 +0000

leafnode (1.11.5-4) unstable; urgency=low

  * Add logcheck rules for texpire and workarounds for silly paranoia rules
    provided by Ross Boylan <RossBoylan@stanfordalumni.org> (closes: #399476).

 -- Mark Brown <broonie@debian.org>  Mon, 20 Nov 2006 20:32:04 +0000

leafnode (1.11.5-3) unstable; urgency=low

  * Remove Debconf note for groupinfo updates.  It's low priority and there's
    nothing for the user to do.
  * Remove unused Debconf maxcount template.
  * Drop the expireinfo note: people probably shouldn't be upgrading directly
    from version 1.2 and it only causes extra disk usage, not extra bandwidth
    usage.

 -- Mark Brown <broonie@debian.org>  Wed, 20 Sep 2006 22:53:12 +0100

leafnode (1.11.5-2) unstable; urgency=low

  * Add Russian translation of the Debconf templates, kindly provided by
    Yuriy Talakan' <yt@amur.elektra.ru> (closes: #367196).

 -- Mark Brown <broonie@debian.org>  Sat, 20 May 2006 13:51:44 +0100

leafnode (1.11.5-1) unstable; urgency=low

  * New upstream release.
  * Now pays attention to the value set for noactive (closes: #239760).

 -- Mark Brown <broonie@debian.org>  Wed, 19 Apr 2006 18:04:23 +0100

leafnode (1.11.4-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 26 Nov 2005 11:12:59 +0000

leafnode (1.11.3.rel-6) unstable; urgency=low

  * Update the Swedish translation of the Debconf templates, kindly supplied
    by Daniel Nylander <yeager@lidkoping.net> (closes: #335379).

 -- Mark Brown <broonie@debian.org>  Sun, 23 Oct 2005 19:25:35 +0100

leafnode (1.11.3.rel-5) unstable; urgency=low

  * Always run update-inetd during postinst.  I really don't understand why I
    made it conditional (closes: #323443).
  * Clean up the backup of hosts.allow perl creates.

 -- Mark Brown <broonie@debian.org>  Sun,  4 Sep 2005 14:03:23 +0100

leafnode (1.11.3.rel-4) unstable; urgency=low

  * Add alternative for debconf-2.0.
  * Update to debhelper format 4.
  * Policy 3.6.2 (no changes).

 -- Mark Brown <broonie@debian.org>  Wed,  3 Aug 2005 22:49:54 +0100

leafnode (1.11.3.rel-3) unstable; urgency=low

  * Include Czech translation of the Debconf templates provided by
    Martin Šín <martin.sin@seznam.cz> (closes: #319247).

 -- Mark Brown <broonie@debian.org>  Wed, 20 Jul 2005 23:13:48 +0100

leafnode (1.11.3.rel-2) unstable; urgency=low

  * Include updated German translation of the Debconf templates provided by
    Jens Seidel <jensseidel@users.sf.net> (closes: #314014).

 -- Mark Brown <broonie@debian.org>  Thu, 16 Jun 2005 20:58:14 +0100

leafnode (1.11.3.rel-1) unstable; urgency=low

  * New upstream release.
  * Maintain permissions on /etc/news/leafnode/debian-config while updating
    during postinst (closes: #312326).
  * Only run update-inetd during remove and initial install.  This will
    destroy user configuration on purge but presumably we have logic to
    preserve disabled entries for a reason (closes: #312447).

 -- Mark Brown <broonie@debian.org>  Wed,  8 Jun 2005 23:07:58 +0100

leafnode (1.11.2.rel-2) unstable; urgency=low

  * Add Vietnamese translation of the Debconf templates, kindly provided by
    Clytie Siddall <clytie@riverland.net.au> (closes: #312187).
  * Fix logcheck files for pluralisation fixes (closes: #310826).

 -- Mark Brown <broonie@debian.org>  Mon,  6 Jun 2005 23:50:15 +0100

leafnode (1.11.2.rel-1) unstable; urgency=medium

  * New upstream release.
  * This release fixes a crash in fetchnews that could be triggered if the
    connection with the remote server fails while articles are being
    downloaded (closes: #307968).
  * This release doesn't cause the active file to be re-fetched if the
    connection fails after it has been downloaded (closes: #70052).

 -- Mark Brown <broonie@debian.org>  Wed,  4 May 2005 22:02:18 +0100

leafnode (1.11.1.rel-1) unstable; urgency=high

  * New upstream release.
  * Upstream has fixed the pluralisation of the articles posted count message
    in fetchnews (closes: #303157).
  * Version 4.21 of netbase broke our usage of update-inetd by tightening up
    some overly broad regular expressions: fix it by specifying the comment
    string when (re)adding.  (closes: #306380).
  * Fix a similar update-inetd problem in postrm by adding wildcards.

 -- Mark Brown <broonie@debian.org>  Tue, 26 Apr 2005 20:44:42 +0100

leafnode (1.11.0.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu, 17 Mar 2005 11:19:12 +0000

leafnode (1.11.0.rc3-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 12 Mar 2005 10:20:51 +0000

leafnode (1.11.0.rc2-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon,  7 Mar 2005 21:11:45 +0000

leafnode (1.11.0.rc1-1) unstable; urgency=low

  * New upstream release.
  * Upstream now supports IPv6 in fetchnews (closes: #295690).

 -- Mark Brown <broonie@debian.org>  Mon, 28 Feb 2005 21:58:50 +0000

leafnode (1.10.8.rel-2) unstable; urgency=low

  * Reupload with non-native source.

 -- Mark Brown <broonie@debian.org>  Sat, 22 Jan 2005 11:51:25 +0000

leafnode (1.10.8.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 22 Jan 2005 11:11:15 +0000

leafnode (1.10.7.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 20 Nov 2004 17:12:20 +0000

leafnode (1.10.6.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 25 Sep 2004 09:41:59 +0100

leafnode (1.10.5.rel-1) unstable; urgency=medium

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon, 30 Aug 2004 11:08:43 +0100

leafnode (1.10.4.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sun, 15 Aug 2004 19:51:16 +0100

leafnode (1.10.3.rel-2) unstable; urgency=low

  * Include updates to the Brazilian Portuguese Debconf translation from Andre
    Luis Lopes <andrelop@debian.org> (closes: #264210).

 -- Mark Brown <broonie@debian.org>  Sat,  7 Aug 2004 18:33:50 +0100

leafnode (1.10.3.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 30 Jul 2004 23:02:53 +0100

leafnode (1.10.2.rel-2) unstable; urgency=low

  * Read current article rather than upper bound article in touch_newsgroup in
    order to avoid problems if the upper bound article does not exist.  Patch
    from Brian Sammon <debian-bugs@brisammon.fastmail.fm> (closes: #260738).

 -- Mark Brown <broonie@debian.org>  Fri, 23 Jul 2004 21:52:44 +0100

leafnode (1.10.2.rel-1) unstable; urgency=low

  * New upstream release.
  * This release cleans up old temporary overview files (closes: #257281).

 -- Mark Brown <broonie@debian.org>  Tue, 20 Jul 2004 19:01:23 +0100

leafnode (1.10.1.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu, 24 Jun 2004 21:48:14 +0100

leafnode (1.10.1.rc1-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sun, 20 Jun 2004 23:14:14 +0100

leafnode (1.10.0.rel-2) unstable; urgency=low

  * Include updated French translation of the Debconf templates provided by 
    Philippe Batailler <philippe.batailler@free.fr> (closes: #253963).
  * Fix some spelling mistakes he noticed in the templates.

 -- Mark Brown <broonie@debian.org>  Sat, 12 Jun 2004 10:25:39 +0100

leafnode (1.10.0.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 11 Jun 2004 09:08:25 +0100

leafnode (1.10.0.rc3-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat,  5 Jun 2004 14:09:53 +0100

leafnode (1.10.0.rc2-1) unstable; urgency=low

  * New upstream release.
  * This release fixes more problems segfaults in texpire (closes: #248824).

 -- Mark Brown <broonie@debian.org>  Wed,  2 Jun 2004 21:04:47 +0100

leafnode (1.9.54.rel-1) unstable; urgency=low

  * New upstream release.
  * Include Catalan translation of the Debconf templates provided by Aleix
    Badia i Bosch <a.badia@callusdigital.org> (closes: #250114).

 -- Mark Brown <broonie@debian.org>  Thu, 20 May 2004 22:16:35 +0100

leafnode (1.9.54.rc3-1) unstable; urgency=low

  * New upstream release.
  * This release contains more robust "mids" reading and writing code
    fixing some crashes (closes: #248823, #248824).
  * Contains fix for troff error in texpire manpage (closes: #249028).
  * Update logcheck rules for new chattiness (closes: #248999, #249376).
  * Fix typo in Debconf templates (closes: #247942).

 -- Mark Brown <broonie@debian.org>  Mon, 17 May 2004 20:10:24 +0100

leafnode (1.9.53.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu,  6 May 2004 07:36:03 +0100

leafnode (1.9.53.rc6-2) unstable; urgency=low

  * Anchor server= substitution regexp to start of line (closes: #182079).
  * Corretly generate Date: header if the client doesn't provide one for
    posted articles (closes: #246944).
  * Add slrn as the real package for news-reader.
  * touch_newsgroup(1) is in section 1 not section l as it claimed.

 -- Mark Brown <broonie@debian.org>  Mon,  3 May 2004 11:46:02 +0100

leafnode (1.9.53.rc6-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sun,  2 May 2004 18:26:15 +0100

leafnode (1.9.53.rc5-1) unstable; urgency=low

  * New upstream release.
  * Contains additional workarounds for buggy authentication support in
    servers (closes: #246420).

 -- Mark Brown <broonie@debian.org>  Thu, 29 Apr 2004 10:28:18 +0100

leafnode (1.9.53.rc4-1) unstable; urgency=low

  * New upstream release.
  * Adds forceauth option to work around buggy servers (closes: #245308).

 -- Mark Brown <broonie@debian.org>  Sat, 24 Apr 2004 12:29:15 +0100

leafnode (1.9.53.rc3-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 24 Apr 2004 11:06:07 +0100

leafnode (1.9.53.rc2-1) unstable; urgency=low

  * New upstream release.
  * Adds LN_SKIP_GROUPS environment variable to fetchnews (closes: #244580).
  * Moves loggging in try_lock to stdout (closes: #244088).

 -- Mark Brown <broonie@debian.org>  Mon, 19 Apr 2004 20:15:48 +0100

leafnode (1.9.52.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat,  3 Apr 2004 20:24:58 +0100

leafnode (1.9.52.rc12-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sun, 28 Mar 2004 13:27:33 +0100

leafnode (1.9.52.rc11-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 27 Mar 2004 14:00:56 +0000

leafnode (1.9.52.rc10-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 26 Mar 2004 16:58:40 +0000

leafnode (1.9.52.rc9-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu, 25 Mar 2004 20:18:12 +0000

leafnode (1.9.52.rc7-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon, 22 Mar 2004 21:42:50 +0000

leafnode (1.9.52.rc6-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 20 Mar 2004 11:30:55 +0000

leafnode (1.9.52.rc5-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 16 Mar 2004 20:43:26 +0000

leafnode (1.9.52.rc3-1) unstable; urgency=low

  * New upstream release.
  * Now handles duplicate server lines better (closes: #236767).

 -- Mark Brown <broonie@debian.org>  Tue,  9 Mar 2004 17:33:00 +0000

leafnode (1.9.52.rc2-1) unstable; urgency=low

  * New upstream release.
  * Policy 3.6.1 (no changes).

 -- Mark Brown <broonie@debian.org>  Fri,  5 Mar 2004 08:11:25 +0000

leafnode (1.9.52.rc1-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu, 26 Feb 2004 23:28:08 +0000

leafnode (1.9.51.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri, 20 Feb 2004 08:05:44 +0000

leafnode (1.9.50.rel-1) unstable; urgency=low

  * New upstream release.
  * Fix documentation of fetchnews time in README.Debian (closes: #232967).

 -- Mark Brown <broonie@debian.org>  Thu, 19 Feb 2004 08:04:02 +0000

leafnode (1.9.49.rel-2) unstable; urgency=low

  * Updated pt_BR translation from Andre Luis Lopes <andrelop@debian.org>.
  * Updated de translation from Jonas Huber <huberjonas@bluewin.ch>.

 -- Mark Brown <broonie@debian.org>  Tue, 13 Jan 2004 23:46:35 +0000

leafnode (1.9.49.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri,  9 Jan 2004 17:22:02 +0000

leafnode (1.9.48.rel-1) unstable; urgency=high

  * New upstream security bugfix release.

 -- Mark Brown <broonie@debian.org>  Fri,  9 Jan 2004 08:35:19 +0000

leafnode (1.9.47.rel-1) unstable; urgency=low

  * New upstream release.
  * This releases introduces the -q option suppressing warnings about lack of
    posting permissions in fetchnews (closes: #222721).

 -- Mark Brown <broonie@debian.org>  Wed,  7 Jan 2004 22:56:22 +0000

leafnode (1.9.46.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Fri,  7 Nov 2003 09:07:17 +0000

leafnode (1.9.45.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu, 30 Oct 2003 23:13:51 +0000

leafnode (1.9.44-2) unstable; urgency=low

  * Include updated French Debconf template provided by Philippe Batailler
    <philippe.batailler@free.fr> (closes: #218133).

 -- Mark Brown <broonie@debian.org>  Wed, 29 Oct 2003 18:37:48 +0000

leafnode (1.9.44-1) unstable; urgency=low

  * New upstream release.
  * Now handles expiry of unread groups without segfaulting (closes: #212177).
  * Reword update-groups template (closes: #215027).

 -- Mark Brown <broonie@debian.org>  Wed, 22 Oct 2003 21:32:02 +0100

leafnode (1.9.43-3) unstable; urgency=low

  * Include updated French debconf templates provided by Philippe Batailler
    <philippe.batailler@free.fr> (closes: #213140).

 -- Mark Brown <broonie@debian.org>  Sun, 28 Sep 2003 18:44:47 +0100

leafnode (1.9.43-2) unstable; urgency=low

  * Run fetchnews every hour rather than only once a day with a permanent
    connection.

 -- Mark Brown <broonie@debian.org>  Sun, 14 Sep 2003 14:32:33 +0100

leafnode (1.9.43-1) unstable; urgency=low

  * New upstream release.
  * Use dh_installppp and dh_installlogcheck.

 -- Mark Brown <broonie@debian.org>  Sat,  6 Sep 2003 10:18:07 +0100

leafnode (1.9.42-2) unstable; urgency=low

  * The PID file has moved so update PPP script (closes: #199764).
  * Always flush output from fetchnews (closes: #199199).

 -- Mark Brown <broonie@debian.org>  Thu,  3 Jul 2003 08:37:37 +0100

leafnode (1.9.42-1) unstable; urgency=low

  * New upstream release.
  * Include Brazilian Portuguese debconf translation provided by Andre Luis
    Lopes <andrelop@debian.org> (closes: #198258).

 -- Mark Brown <broonie@debian.org>  Fri, 27 Jun 2003 17:41:59 +0100

leafnode (1.9.41-2) unstable; urgency=low

  * Put lockfiles in upstream default location under /var/spool/news to avoid
    problems with vanishing directories (closes: #197778).
  * Update filter file path in config example (closes: #198129).

 -- Mark Brown <broonie@debian.org>  Fri, 20 Jun 2003 07:08:02 +0100

leafnode (1.9.41-1) unstable; urgency=low

  * New upstrem release (closes: #195386).
  * Generate mail if there's anything in failed.postings rather than 
    silently retrying since the bug with multiple upstream servers
    that was being worked around is now fixed (closes: #195386).

 -- Mark Brown <broonie@debian.org>  Sun,  1 Jun 2003 14:49:46 +0100

leafnode (1.9.40-1) unstable; urgency=medium

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu,  8 May 2003 19:43:43 +0100

leafnode (1.9.39-1) unstable; urgency=low

  * New upstream release.
  * Fixes self-interoperability issue (closes: #190187).

 -- Mark Brown <broonie@debian.org>  Mon,  5 May 2003 00:21:32 +0100

leafnode (1.9.38-1) unstable; urgency=low

  * New upstream relaese.

 -- Mark Brown <broonie@debian.org>  Wed, 23 Apr 2003 21:48:59 +0100

leafnode (1.9.37-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sun, 20 Apr 2003 12:15:22 +0100

leafnode (1.9.36-2) unstable; urgency=low

  * Convert to po-debconf, bumping debhelper build dep to 4.1.16.

 -- Mark Brown <broonie@debian.org>  Mon,  3 Mar 2003 00:02:09 +0000

leafnode (1.9.36-1) unstable; urgency=low

  * New upstream release.
  * Fixes problems with filters an ARTICLE based fetching (closes: #181885).

 -- Mark Brown <broonie@debian.org>  Wed, 26 Feb 2003 08:57:34 +0000

leafnode (1.9.35-1) unstable; urgency=low

  * New upstream release.
  * Fixes segfault when client supplies a message ID (closes: #181895).
  * Add t.pcre_extract to the set of files saved from deletion by distclean.
  * The Debconf script now unconditionally checks for upgrade notices to
    display.

 -- Mark Brown <broonie@debian.org>  Sat, 22 Feb 2003 11:29:31 +0000

leafnode (1.9.34-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu, 20 Feb 2003 08:46:41 +0000

leafnode (1.9.33-2) unstable; urgency=low

  * Remove leafnode rather than nntp from inetd.conf (closes: #179956).

 -- Mark Brown <broonie@debian.org>  Wed,  5 Feb 2003 22:51:56 +0000

leafnode (1.9.33-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon,  3 Feb 2003 20:05:00 +0000

leafnode (1.9.32-2) unstable; urgency=low

  * Update ip-down to account for changed lockfile format (closes: #177164).
  * Save processed FAQ files when building to work around excessively
    enthusiastic distclean target.

 -- Mark Brown <broonie@debian.org>  Sat, 18 Jan 2003 09:08:36 +0000

leafnode (1.9.32-1) unstable; urgency=low

  * New upstream release.
  * Make new configuration files owned by root and remove group write
    permissions in accordance with security recommendations in the upstream
    manual page.  Existing configurations will not be changed (closes: #175653).

 -- Mark Brown <broonie@debian.org>  Sat, 11 Jan 2003 21:47:44 +0000

leafnode (1.9.31-1) unstable; urgency=low

  * New upstream release.
  * Upstream installs filters.example in /etc - do the right thing instead.
  * Policy 3.5.8 (no changes).
  * Specify that we use bash in debian/rules (closes: #144008 now that I've
    finally seen the mail with the patch).

 -- Mark Brown <broonie@debian.org>  Sun, 29 Dec 2002 14:48:44 +0000

leafnode (1.9.30-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Wed,  4 Dec 2002 22:28:04 +0000

leafnode (1.9.29-1) unstable; urgency=low

  * New upstream release.
  * A patch from Chung-chieh Shan <ken@digitas.harvard.edu> fixing a 
    segfault in fetchnews is included in this release (closes: #165835).

 -- Mark Brown <broonie@debian.org>  Thu, 24 Oct 2002 20:05:47 +0100

leafnode (1.9.28-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 22 Oct 2002 21:04:54 +0100

leafnode (1.9.27-1) unstable; urgency=low

  * New upstream release.
  * Testsuite now run after build.

 -- Mark Brown <broonie@debian.org>  Wed, 25 Sep 2002 07:34:17 +0100

leafnode (1.9.26-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 21 Sep 2002 09:21:01 +0100

leafnode (1.9.25-1) unstable; urgency=low

  * New upstream release.
  * Handler for SIGTERM now set in fetchnews (closes: #76298).
  * New option "noactive" explicitly inhibits updates of the active file 
    (closes: #150044).

 -- Mark Brown <broonie@debian.org>  Sun,  1 Sep 2002 00:39:11 +0100

leafnode (1.9.24-2) unstable; urgency=low

  * Handle nonexistant failed.postings in cron.daily (closes: #155997).

 -- Mark Brown <broonie@debian.org>  Fri,  9 Aug 2002 00:51:17 +0100

leafnode (1.9.24-1) unstable; urgency=low

  * New upstream release (closes: #140023).
  * Update packaging to reflect upstream move to autoconf.
  * Upstream now no longer provides German manual pages therefore errors in
    those manual pages are gone (unhelpfully closes: #151171).

 -- Mark Brown <broonie@debian.org>  Wed, 10 Jul 2002 15:05:12 +0100

leafnode (1.9.19-8) unstable; urgency=low

  * Provide Swedish (thanks to Mikael Haidn <mikael.hedin@irf.se>) and German
    translations of the choices for networking (closes: #149399).

 -- Mark Brown <broonie@debian.org>  Sun,  9 Jun 2002 13:16:52 +0100

leafnode (1.9.19-7) unstable; urgency=low

  * Apply patch to work around failure to download active list caused by lack
    of authentication (closes: #128524).
  * Include French debconf template from Phillipe Batailler
    <pbatailler@teaser.fr> (closes: #139279).

 -- Mark Brown <broonie@debian.org>  Thu, 21 Mar 2002 12:36:08 +0000

leafnode (1.9.19-6) unstable; urgency=low

  * Spilt translations out of templates file into per-language files.
  * Install logcheck rules from Daniel Pittman <daniel@rimspace.net>
    (closes: 128418).
  * The debian config file is now flagged as being modifiable only via
    debconf.

 -- Mark Brown <broonie@debian.org>  Thu, 10 Jan 2002 17:32:16 +0000

leafnode (1.9.19-5) unstable; urgency=medium

  * Only move posts out of failed.postings from cron job (closes: #110203).
  * Redo processing of network configuration selection (closes: #109855).
  * /etc/news/leafnode/debian-config is no longer a conffile.

 -- Mark Brown <broonie@debian.org>  Sat,  1 Sep 2001 23:49:25 +0100

leafnode (1.9.19-4) unstable; urgency=low

  * Re-include upstream changelog (closes: #106787).

 -- Mark Brown <broonie@debian.org>  Fri, 27 Jul 2001 11:24:49 +0100

leafnode (1.9.19-3) unstable; urgency=low

  * Remove extra blank line between debconf templates, ensuring that
    Debconf doesn't barf during upgrade (closes: #106357).
  * debain/templates: s/text/note/g (closes: #106339).

 -- Mark Brown <broonie@debian.org>  Mon, 23 Jul 2001 21:55:34 +0100

leafnode (1.9.19-2) unstable; urgency=low

  * Depend on debconf (>= 0.5) due to use of seen flag.

 -- Mark Brown <broonie@debian.org>  Sat, 23 Jun 2001 13:23:38 +0100

leafnode (1.9.19-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue,  5 Jun 2001 18:39:49 +0100

leafnode (1.9.18-7) unstable; urgency=low

  * Move sample configuration from /usr/share/doc to /usr/share.
  * Updated to policy 3.5.4.

 -- Mark Brown <broonie@debian.org>  Sun,  3 Jun 2001 17:59:10 +0100

leafnode (1.9.18-6) unstable; urgency=low

  * Make postrm use debconf for interactivity (closes: #98271).
  * Remove bogus documentation about old configuration files
    (closes: #98966).

 -- Mark Brown <broonie@debian.org>  Fri, 25 May 2001 19:39:49 +0100

leafnode (1.9.18-5) unstable; urgency=low

  * Include German translation of debconf template from Sebastian Feltel
    <sebastian@feltel.de> (closes: #95742).
  * Fix spelling mistake in postinst (closes: #94905).
  * Build-depends on libpcre3-dev rather than libpcre2-dev.

 -- Mark Brown <broonie@debian.org>  Sun, 29 Apr 2001 16:20:51 +0100

leafnode (1.9.18-4) unstable; urgency=low

  * Change priority to extra.

 -- Mark Brown <broonie@debian.org>  Sat, 24 Feb 2001 21:28:53 +0000

leafnode (1.9.18-3) unstable; urgency=low

  * Include Swedish translation of debconf questions from Mikael 
    Hedin <mikael.hedin@irf.se> (closes: #87230).

 -- Mark Brown <broonie@debian.org>  Sat, 24 Feb 2001 14:02:12 +0000

leafnode (1.9.18-2) unstable; urgency=low

  * Don't error out if fetchnews fails during postinst, just print an
    error message instead (closes: #82256).
  * Update to policy 3.2.1 (no changes).
  * Remove obsolete dh_suidregister from debian/rules.

 -- Mark Brown <broonie@debian.org>  Sun, 14 Jan 2001 18:06:11 +0000

leafnode (1.9.18-1) unstable; urgency=low

  * New upstream release.
  * Take default for download type from conffile.  Someone really needs
    to sort out how exactly debconf is supposed to work in the face of
    user modifications of config files (closes: #76196).

 -- Mark Brown <broonie@debian.org>  Fri,  1 Dec 2000 10:08:29 +0000

leafnode (1.9.17-4) unstable; urgency=low

  * Don't delete /var/log/news on purge (closes: #77352).

 -- Mark Brown <broonie@debian.org>  Sat, 18 Nov 2000 14:01:36 +0000

leafnode (1.9.17-3) unstable; urgency=low

  * Only update the list of active groups once when the user configures
    it.
  * New config files have only ug+rw permissions (closes: #74821).

 -- Mark Brown <broonie@debian.org>  Sun, 15 Oct 2000 20:21:35 +0100

leafnode (1.9.17-2) unstable; urgency=low

  * Add a "always fetch manually" option in network selection.

 -- Mark Brown <broonie@debian.org>  Fri, 29 Sep 2000 20:29:33 +0100

leafnode (1.9.17-1) unstable; urgency=low

  * New upstream release.
  * texpire handles missing groupinfo correctly (closes: #69222).

 -- Mark Brown <broonie@debian.org>  Tue,  5 Sep 2000 04:45:56 +0100

leafnode (1.9.16-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon, 21 Aug 2000 10:13:57 +0100

leafnode (1.9.15-3) unstable; urgency=low

  * Include FAQ (closes: #69177).

 -- Mark Brown <broonie@debian.org>  Tue, 15 Aug 2000 13:42:05 +0100

leafnode (1.9.15-2) unstable; urgency=low

  * If there's a set debconf server and no configuration then use the
    debconf value.

 -- Mark Brown <broonie@debian.org>  Sat,  5 Aug 2000 19:25:08 +0100

leafnode (1.9.15-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue,  1 Aug 2000 20:21:14 +0100

leafnode (1.9.14-1) unstable; urgency=low

  * New upstream release. 

 -- Mark Brown <broonie@debian.org>  Thu, 22 May 2000 14:01:18 +0100

leafnode (1.9.13-4) unstable; urgency=low

  * The debconf config script now always tries to reset the server entry
    in the database from the config file.  This should ensure that
    debconf won't overwrite user changes there.

 -- Mark Brown <broonie@debian.org>  Mon,  8 May 2000 13:42:39 +0100

leafnode (1.9.13-3) unstable; urgency=low

  * Only manage first server entry in config file using debconf
    (closes: #62932).
  * Remove bogus trn suggestion.

 -- Mark Brown <broonie@debian.org>  Sun,  7 May 2000 22:00:24 +0100

leafnode (1.9.13-2) unstable; urgency=low

  * cron.daily and ip-up now both move postings from failed.postings
    into out.going.  This works around a bug in Leafnode's handling of
    multiple upstream servers when some of those servers don't allow
    posting to some groups (closes: #62897).

 -- Mark Brown <broonie@debian.org>  Tue,  2 May 2000 11:45:10 +0100

leafnode (1.9.13-1) unstable; urgency=low

  * New upstream release. 

 -- Mark Brown <broonie@debian.org>  Sun,  9 Apr 2000 17:46:22 +0100

leafnode (1.9.12-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu, 30 Mar 2000 03:16:50 +0100

leafnode (1.9.11-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 22 Feb 2000 23:02:41 +0000

leafnode (1.9.10-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Thu, 10 Feb 2000 00:57:51 +0000

leafnode (1.9.9-4) frozen; urgency=low

  * Backport fix for bug which caused new groups not to be reported as
    such, confusing clients.

 -- Mark Brown <broonie@debian.org>  Wed, 23 Feb 2000 19:52:09 +0000

leafnode (1.9.9-3) frozen; urgency=low

  * Backported patch from 1.9.10 to handle empty "LIST NEWSGROUPS"
    from upstream server correctly.  While it's not been reported
    against the Debian package, it's a showstopper when encountered.

 -- Mark Brown <broonie@debian.org>  Sat, 12 Feb 2000 23:30:59 +0000

leafnode (1.9.9-2) frozen unstable; urgency=low

  * Clarify misleading documentation of hostname option in sample
    configuration and man page (closes: #55211).
  * Fix spelling mistake in templates file (closes: #55739).

 -- Mark Brown <broonie@debian.org>  Thu, 20 Jan 2000 09:09:09 +0000

leafnode (1.9.9-1) unstable; urgency=low

  * New upstream release. 

 -- Mark Brown <broonie@debian.org>  Tue,  4 Jan 2000 14:56:14 +0000

leafnode (1.9.8-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue,  4 Jan 2000 14:24:17 +0000

leafnode (1.9.7-4) unstable; urgency=low

  * Tweak configuration script.

 -- Mark Brown <broonie@debian.org>  Mon,  3 Jan 2000 07:24:21 +0000

leafnode (1.9.7-3) unstable; urgency=low

  * Use debconf.  The leafnode-config script has been removed in favour
    of it.
  * Added build dependancies.
  * Conforms to standards version 3.1.1.

 -- Mark Brown <broonie@debian.org>  Sun, 26 Dec 1999 20:07:52 +0000

leafnode (1.9.7-2) unstable; urgency=low

  * Handle compression of sample configuration file by debhelper in
    leafnode-config (closes: #53236).

 -- Mark Brown <broonie@debian.org>  Wed, 22 Dec 1999 23:56:15 +0000

leafnode (1.9.7-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon, 13 Dec 1999 23:38:29 +0000

leafnode (1.9.6-1) unstable; urgency=low

  * New upstream release. 

 -- Mark Brown <broonie@debian.org>  Wed,  8 Dec 1999 23:54:48 +0000

leafnode (1.9.5-2) unstable; urgency=low

  * Install inetd.conf entry in section MAIN (closes: #51896).

 -- Mark Brown <broonie@debian.org>  Mon,  6 Dec 1999 02:21:13 +0000

leafnode (1.9.5-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Wed,  1 Dec 1999 22:38:54 +0000

leafnode (1.9.4-11) unstable; urgency=low

  * Apply Y2K fix from upstream author.

 -- Mark Brown <broonie@debian.org>  Fri, 22 Oct 1999 18:19:32 +0100

leafnode (1.9.4-10) unstable; urgency=low

  * Update network type selection correctly.

 -- Mark Brown <broonie@debian.org>  Thu, 23 Sep 1999 03:02:00 +0100

leafnode (1.9.4-9) unstable; urgency=low

  * leafnode-config now explains the network setup options.
  * Purges all configuration files.
  * Downgrade perl dependancies to suggestion and explain in description.
  * Correct spelling error in postinst and leafnode-config
    (closes: #44561).

 -- Mark Brown <broonie@debian.org>  Wed, 22 Sep 1999 12:57:31 +0100

leafnode (1.9.4-8) unstable; urgency=low

  * Fully support FHS - docs back into /usr/share/doc.

 -- Mark Brown <broonie@debian.org>  Tue,  7 Sep 1999 00:25:25 +0100

leafnode (1.9.4-7) unstable; urgency=low

  * Only do upgrade processing in postinst on upgrade (closes: #44029).
  * tcpd is now a seperate package, so depend on it.

 -- Mark Brown <broonie@debian.org>  Tue, 31 Aug 1999 00:21:48 +0100

leafnode (1.9.4-6) unstable; urgency=low

  * Support PPP connections properly.  Create a conffile
    /etc/news/leafnode/debian-config which is used to control the
    use of fetchnews in the cron.daily and ip-{ip,down} scripts.
    Warn about change in preinst (closes: #43260).
  * Don't depend on perl and libnet-perl, recommend them.  Leafnode can
    be used perfectly well without them, it's just touch_newsgroups that
    needs them.
  * preinst now checks arguments and only performs actions on install or
    upgrade.
  * Back out FHS /usr/doc move while the technical committee works out
    a method for carrying it out.  *sigh*
  * Fix typo in leafnode-config (spotted by Vesa Kaihlavirta <dali@nic.fi>).
  * Update standards version to 3.0.1 (no changes).

 -- Mark Brown <broonie@debian.org>  Tue, 10 Aug 1999 22:18:50 +0100

leafnode (1.9.4-5) unstable; urgency=low

  * Correctly rotate files in /var/log/news.

 -- Mark Brown <broonie@debian.org>  Sat, 31 Jul 1999 13:07:18 +0100

leafnode (1.9.4-4) unstable; urgency=medium

  * configure treats --without-ipv6 identically to --with-ipv6, breaking
    Roman Holdek's previous fix.  Apply new fix from him which doesn't
    use --without-ipv6 (closes: #41653 again).

 -- Mark Brown <broonie@debian.org>  Thu, 22 Jul 1999 13:52:54 +0100

leafnode (1.9.4-3) unstable; urgency=low

  * Install man pages in the correct directory (d'oh!).
  * Rotate log files daily rather than weekly.  Those logfiles can get
    very large very quickly.
  * Reformatted and generally cleaned up README.Debian.

 -- Mark Brown <broonie@debian.org>  Wed, 21 Jul 1999 08:35:25 +0100

leafnode (1.9.4-2) unstable; urgency=medium

  * Depend on perl|perl5 rather than just perl5 to ease dependancy
    problems during perl changeover.
  * Detect IPV6 support automagically to enable compilation on m68k,
    using patch from Roman Hodek (closes: #41653).

 -- Mark Brown <broonie@debian.org>  Tue, 20 Jul 1999 12:19:05 +0100

leafnode (1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Mon, 19 Jul 1999 20:49:04 +0100

leafnode (1.9.3-1) unstable; urgency=low

  * New upstream release.
  * Upstream now optionally supports IPV6 in the server - enable it.
  * Upstream now correctly configures with RPM 3.0 (closes: #37765).
    Thanks to Matt Armstrong <matt@lickey.com> for the diagnosis.
  * Updated to standards version 3.0.0:
     - Move /usr/man to /usr/share/man to comply with FHS.
     - Move /usr/doc to /usr/share/doc to comply with FHS.
     - Use and depend upon logrotate.
  * In order to prevent annoying "you have modified a conffile" messages
    during upgrades /etc/news/leafnode/config is no longer a conffile.
    Hopefully dpkg will work like it does for me and not delete the
    conffile during the upgrade - nobody else seems to have better ideas.
  * cron.daily now checks the package is installed before running programs.
  * Added touch_newsgroup script for keeping very low-volume newsgroups
    marked as read.  Depend on perl5 and libnet-perl for it.
  * Added archivefaq.pl example from 10.0 beta releases.
  * Note possible security problems with authentication information in
    configuration file in README.Debian.
  * Move server and tcpd configuration to new leafnode-config script.
  * Include German (de) manpages, README and INSTALL.
  * Fixed postinst bug updating maxcount.

 -- Mark Brown <broonie@debian.org>  Thu, 15 July 1999 20:30:27 +0100

leafnode (1.9.2-3) unstable; urgency=low

  * Fixed segfault with bad Lines: header (bug #37712) using patch from 
    Matt Armstrong <matt@lickey.com>

 -- Mark Brown <broonie@debian.org>  Sat, 15 May 1999 12:06:42 +0100

leafnode (1.9.2-2) unstable; urgency=low

  * New maintainer.
  * Fixed paths in README.Debian.

 -- Mark Brown <broonie@debian.org>  Sat, 20 Mar 1999 15:28:07 +0000

leafnode (1.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  9 Mar 1999 15:30:44 -0800

leafnode (1.9-1) unstable; urgency=low

  * Major new upstream release.
  * For consitency with other news programs, moved config file
    /etc/leafnode.conf to /etc/news/leafnode/config. The new filters
    file can go in the same directory.
  * Added sample filters file.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 13 Feb 1999 23:02:31 -0800

leafnode (1.8.1-4) unstable; urgency=low

  * Various people tell me that using "localhost" in /etc/hosts.allow
    doesn't work. I have no idea why, but I've changed it to use 127.0.0.1,
    which people say does work (closes: #33097).

 -- Joey Hess <joeyh@master.debian.org>  Tue,  9 Feb 1999 13:52:26 -0800

leafnode (1.8.1-3) unstable; urgency=low

  * Corrected date parsing error (closes: #32984) with patch from
    aaron.crane@pobox.com (Aaron Crane)

 -- Joey Hess <joeyh@master.debian.org>  Sat,  6 Feb 1999 13:20:17 -0800

leafnode (1.8.1-2) unstable; urgency=low

  * Added url to new web page to copyright file.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 26 Jan 1999 15:51:04 -0800

leafnode (1.8.1-1) unstable; urgency=low

  * New upstream release.
    - Includes the year end bug fix, fixes #16422.

 -- Joey Hess <joeyh@master.debian.org>  Thu,  7 Jan 1999 13:05:13 -0800

leafnode (1.8-2) unstable; urgency=low

  * Applied patch from Hiroshi KISE <fuyuneko@ryukyu.ne.jp> that may fix bug
    #16422. Leafnode has a problem near the new year of thinking that
    articles posted 10 days ago are > 10 days old and expiring them.
    This fix is a bit of a hack to make it think a year has only 336 days
    (12 28 day months).
  * As many people as can, please download this and install it in the next
    week, and see if it fixes the problem.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 30 Dec 1998 16:52:04 -0500

leafnode (1.8-1) unstable; urgency=low

  * New upstream release (with filterning support).
    - had to remove #include <regex.h> from filterutil.c to make it compile.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 20 Dec 1998 01:59:44 -0500

leafnode (1.7.1-2) unstable; urgency=low

  * Fixed postinst bug if leafnode.conf cannot be parsed on upgrade.
    (important #30797)

 -- Joey Hess <joeyh@master.debian.org>  Thu, 17 Dec 1998 12:47:55 -0500

leafnode (1.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  9 Dec 1998 21:59:31 -0800

leafnode (1.7-1) unstable; urgency=low

  * New upstream release.
  * This fixes the problems with "." in messages (#30352).

 -- Joey Hess <joeyh@master.debian.org>  Mon,  7 Dec 1998 21:17:29 -0800

leafnode (1.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 27 Oct 1998 22:07:25 -0800

leafnode (1.6.1-3) unstable; urgency=low

  * Applied patch from <kise@imicom.or.jp> to fix a segfault if no
    /var/spool/news/leaf.node/NEWSSERVER file is present.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 21 Oct 1998 23:38:40 -0700

leafnode (1.6.1-2) unstable; urgency=low

  * Removed /var/lib/leafnode entirely.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 10 Oct 1998 18:24:11 -0700

leafnode (1.6.1-1) unstable; urgency=low

  * New upstream release, new upstream maintainer.
    - multiple upstream server support
    - can limit crossposting links to interesting groups
    - download filtering
    - groupexpire is back (#11290)
    - delayed download of message bodies
    - newsgroup blocking
  * Adapted update.sh to run from postinst, to upgrade groupinfo file to new
    format.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 10 Oct 1998 14:21:24 -0700

leafnode (1.4-14) unstable; urgency=low

  * Fixed a spelling error in README.Debian.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 31 Aug 1998 13:39:33 -0700

leafnode (1.4-13) unstable; urgency=low

  * Added a little sanity check to postinst: if /etc/news/server 
    is the same as hostname or hostname -f, don't use it as the default
    value of the server to download news from, for ovbious reasons.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  7 Aug 1998 00:23:59 -0700

leafnode (1.4-12) unstable; urgency=low

  * Fix a bug in the postrm - if purging and /var/spool/news _was_ present,
    it skipped asking if you wanted it removed. 

 -- Joey Hess <joeyh@master.debian.org>  Fri,  7 Aug 1998 00:14:01 -0700

leafnode (1.4-11) unstable; urgency=low

  * Modified cron.daily script so it doesn't print error messages if /root
    is mode 700.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 19 Jul 1998 13:59:43 -0700

leafnode (1.4-10) unstable; urgency=low

  * Fixed package description spelling (#18912).

 -- Joey Hess <joeyh@master.debian.org>  Thu,  5 Mar 1998 16:22:53 -0800

leafnode (1.4-9) unstable; urgency=low

  * Made leafnode conflict with newsx (#17847). Both packages contain newsq.
    At first clance, this conflicts in unnecessary becuase leafnode
    conflicts with other news-transport-systems's, and newsx depends on one
    (cnews | inn). However, it turns out this conflict is needed to prevent
    both packages being unpacked at the same time, because dpkg does not
    check dependancies until after unpacking.
  * Fix all lintian errors (minor).

 -- Joey Hess <joeyh@master.debian.org>  Thu, 26 Feb 1998 22:32:12 -0800

leafnode (1.4-8) unstable; urgency=low

  * Fixed executable permissions to 755.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 16 Feb 1998 14:12:25 -0800

leafnode (1.4-7) unstable; urgency=low

  * Use "=" instead of "==" in postinst, so ash is happy.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 10 Feb 1998 14:44:59 -0800

leafnode (1.4-6) unstable; urgency=low

  * Updated standards-version.
  * Wrote a small man page for newsq.
  * Added r bit to /usr/sbin/{fetch,leafnode}.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 12:58:22 -0800

leafnode (1.4-5) unstable; urgency=low

  * No longer suggest perl, perl-base is in base and is good enough for
    newsq.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  7 Feb 1998 19:04:35 -0800

leafnode (1.4-4) unstable; urgency=low

  * Modified postinst to add access controls for leafnode to /etc/hosts.deny 
    (15331).
  * Moved inet.d entry to section NEWS (well, it goes to OTHER), and fixed 
    tabs.
  * Added archivefaq.pl to examples.
  * Use debhelper.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 27 Nov 1997 14:11:15 -0500

leafnode (1.4-3) unstable; urgency=low

  * Fixed postinst prompting (#12588).
  * Routine update of debian/rules:
    Fixed binary-indep target.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  8 Sep 1997 23:40:57 -0400

leafnode (1.4-2) unstable; urgency=low

  * Fixed file in tmp security hole (#11768).

 -- Joey Hess <joeyh@master.debian.org>  Sat,  2 Aug 1997 15:26:06 -0400

leafnode (1.4-1) unstable; urgency=low

  * New upstream release.
  * Fakeroot and sudo fixes.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 24 Jul 1997 19:21:05 -0400

leafnode (1.3-1) unstable; urgency=low

  * New upstream release, closes bugs:
    - Bug#11137: Message ID depends on interface
    - Bug#11243: leafnode: coredumps with xhdr (again)
    - Bug#11251: leafnode: listgroup doesn't change group
    - Bug#11255: leafnode: NNTP commands article/stat etc. don't work
                           without an additional argument
    - Bug#11256: leafnode: NNTP article/stat commands should print a
                           warning when they're called outside a newsgroup

 -- Joey Hess <joeyh@master.debian.org>  Mon, 14 Jul 1997 12:33:27 -0400

leafnode (1.2-1) unstable; urgency=low

  * New upstream release.
    - /etc/expireinfo is obsolete, and you'll have to use the groupexpire
      command in /etc/leafnode.conf instead.
    - fixes bug #10681.
  * Fixed two a seg fault bugs in fetch (reported upstream and will be fixed
    there in 1.2.1).
  * No longer need the *.8.new hack with the man pages, becuase the man
    pages now have a newline at eof.
  * Removed .rej file from patch.
  * Fixed references to leafnode.cfg - changed to leafnode.conf.
  * Removed info from README.debian about experimental patches.
  * Got rid of obsolete email address.
  * Added query before rm -rf of /var/spool/news in postrm purge.
  * Added /var/run/news directory writiable by news, and fetch now places
    its lockfile in this directory. (Still some problem here, I think.)
  * Only suggest newsreader and perl.
  * Updated debian/rules to work with fakeoot.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  9 Jul 1997 10:52:21 -0400

leafnode (1.0.pl6-2) experimental; urgency=low

  * Rebuilt with libc6.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Jun 1997 17:02:33 -0400

leafnode (1.0.pl6-1) experimental; urgency=low

  * Experimental version with some mods by Tim Sweeney <tsweeney@harborhi.com>
    - protocol cleanups that should make leafnode work with netscape and tin.
    - authinfo support, so you can use news servers that require
      authentication.
    - support for different expire times for specified groups via
      /etc/expireinfo (See README.debian for details)

 -- Joey Hess <joeyh@master.debian.org>  Thu, 29 May 1997 19:11:19 -0400

leafnode (1.0-3) frozen unstable; urgency=low

  * Use "maxcount", instead of "maxfetch". (bug #8786)
  * Typo in leafnode's copyright file -- www.troll/no -> www.troll.no
  * Worked around another wonderful "no newline at EOF" problem.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 16 Apr 1997 16:14:04 -0400

leafnode (1.0-2) unstable; urgency=low

  * First public release (1.0-1 had problems and was never released).
  * Fixed postinst so chown on /var/spool/news works even if that directory
    is a symlink.
  * Crontab fixes.
  * Removed config.c.old file that was accidentially included in diff.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 6 Feb 1997 14:36:06 -0500

leafnode (1.0-1) unstable; urgency=low

  * First release.
  * Moved config file into /etc/leafnode.conf.
  * Hacked in support for port= line in config file, which sets the port
    on the remote news server to connect to instead of the default nntp port.
    (This was added because the maintainer desperatly needs this option.)

 -- Joey Hess <joeyh@master.debian.org>  Wed, 5 Feb 1997 14:55:07 -0500

